List eligible products for media buys
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"creativeFormatIds": [
"<string>"
],
"adUnitNames": [
"<string>"
]
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Products
List eligible products for media buys
List storefront products aggregated across all active inventory sources, including ad servers and direct adapters. Used by the approvals widget to show which products a pending media buy is eligible for.
GET
/
products
List eligible products for media buys
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"creativeFormatIds": [
"<string>"
],
"adUnitNames": [
"<string>"
]
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}